POST
/CommitTransaction
http://rds-data.{region}.amazonaws.com/CommitTransactionEnds a SQL transaction started with the <code>BeginTransaction</code> operation and commits the changes.
Access Token Required: API Key
Body Params
secretArnstringrequired
The name or ARN of the secret that enables access to the DB cluster.
resourceArnstringrequired
The Amazon Resource Name (ARN) of the Aurora Serverless DB cluster.
transactionIdstringrequired
The identifier of the transaction to end and commit.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://rds-data.{region}.amazonaws.com/CommitTransaction' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}